StringParameter Class Reference

`#include <StringParameter.h>`

Inheritance diagram for StringParameter:

## Public Member Functions

| StringParameter (const string &name, const string &description, const string &defaultValue)
const string & | getValue () const
void | setValue (const string &value)
| operator const string & () const
void | operator= (const string &value)
bool | operator== (const string &str) const
Public Member Functions inherited from Parameter
| Parameter (const string &name, const string &description)
virtual | ~Parameter ()
const string & | getName () const
const string & | getDescription () const
string | getArgumentType () const
string | getValueAsString () const
void | appendToDescription (const char *str)
void | processArguments (const char **args, size_t argCount)

## Private Member Functions

virtual string | doGetArgumentType () const
virtual string | doGetValueAsString () const
virtual pair< size_t, size_t > | doGetArgumentCountRange () const
virtual void | doProcessArguments (const char **args, size_t argCount)

## Private Attributes

string | _value

## Detailed Description

Definition at line 24 of file StringParameter.h.

## Constructor & Destructor Documentation

## StringParameter()

StringParameter::StringParameter | ( | const string & | name,
|  | const string & | description,
|  | const string & | defaultValue )

Definition at line 20 of file StringParameter.cpp.

## Member Function Documentation

## doGetArgumentCountRange()

pair< size_t, size_t > StringParameter::doGetArgumentCountRange | ( |  | ) | const

private virtual

Implements Parameter.

Definition at line 35 of file StringParameter.cpp.

## doGetArgumentType()

string StringParameter::doGetArgumentType | ( |  | ) | const

private virtual

Implements Parameter.

Definition at line 27 of file StringParameter.cpp.

## doGetValueAsString()

string StringParameter::doGetValueAsString | ( |  | ) | const

private virtual

Implements Parameter.

Definition at line 31 of file StringParameter.cpp.

## doProcessArguments()

void StringParameter::doProcessArguments | ( | const char ** | args,
|  | size_t | argCount )

private virtual

Implements Parameter.

Definition at line 39 of file StringParameter.cpp.

## getValue()

const string & StringParameter::getValue | ( |  | ) | const

inline

Definition at line 30 of file StringParameter.h.

## operator const string &()

StringParameter::operator const string & | ( |  | ) | const

inline

Definition at line 33 of file StringParameter.h.

## operator=()

void StringParameter::operator= | ( | const string & | value | ) |

inline

Definition at line 34 of file StringParameter.h.

## operator==()

bool StringParameter::operator== | ( | const string & | str | ) | const

inline

Definition at line 35 of file StringParameter.h.

## setValue()

void StringParameter::setValue | ( | const string & | value | ) |

inline

Definition at line 31 of file StringParameter.h.

## Member Data Documentation

## _value

string StringParameter::_value

private

Definition at line 43 of file StringParameter.h.

The documentation for this class was generated from the following files:

- src/StringParameter.h
- src/StringParameter.cpp